LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 06-22-2020, 11:30 PM   #31
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 7,151

Rep: Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820

Quote:
Originally Posted by TheNutCase View Post
Accodging to this link ( https://slackbuilds.org/repository/1...PyQtWebEngine/ )one of the sub-requirements is qt5.
qtwebengine is not pyqtwebengine. There is no need to build python3-PyQtWebEngine for MuseScore. You aren't following the required dependencies and are getting into software that has nothing to do with MuseScore just because it has a similar name. The only packages you need for MuseScore are the following:

Code:
jdk
portmidi
portaudio
lame
python3
jack
hyphen
ninja
meson
libxkbcommon
qt5
qt5-webkit
MuseScore
When building qt5, I'd recommend just keeping the default options. The webengine will be built by default unless you tell the SlackBuild to not build it.

You can run the following command to see what packages are built and what's missing (it will show some excess python3 and maybe qt5 packages that aren't needed). Please post the output so we can see what packages you have installed and where they're from.

Code:
ls -1 /var/log/packages/{jdk,portmidi,portaudio,lame,python3,jack,hyphen,ninja,meson,libxkbcommon,qt5,qt5-webkit}*
 
Old 06-23-2020, 10:22 AM   #32
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 14.2
Posts: 334

Original Poster
Rep: Reputation: Disabled
bash-4.3$ ls -1 /var/log/packages/{jdk,portmidi,portaudio,lame,python3,jack,hyphen,ninja,meson,libxkbcommon,qt5,qt5-webkit}*
ls: cannot access '/var/log/packages/qt5*': No such file or directory
ls: cannot access '/var/log/packages/qt5-webkit*': No such file or directory
/var/log/packages/hyphen-2.8.8-x86_64-1_SBo
/var/log/packages/jack-1.9.14-x86_64-1_SBo
/var/log/packages/jdk-8u251-x86_64-1_SBo
/var/log/packages/lame-3.100-x86_64-1_SBo
/var/log/packages/libxkbcommon-0.10.0-x86_64-1_SBo
/var/log/packages/meson-0.52.1-x86_64-1_SBo
/var/log/packages/ninja-1.10.0-x86_64-1_SBo
/var/log/packages/portaudio-v190600_20161030-x86_64-1_SBo
/var/log/packages/portmidi-217-x86_64-5_SBo
/var/log/packages/python3-3.7.2-x86_64-1_SBo
/var/log/packages/python3-PyQt5-5.13.2-x86_64-2_SBo
/var/log/packages/python3-sip-4.19.20-x86_64-3_SBo
 
Old 06-23-2020, 10:34 AM   #33
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 14.2
Posts: 334

Original Poster
Rep: Reputation: Disabled
Sorry, I forgot to re-install qt5 before. Here is the output with qt5 re-installed:
Code:
bash-4.3# ls -1 /var/log/packages/{jdk,portmidi,portaudio,lame,python3,jack,hyphen,ninja,meson,libxkbcommon,qt5,qt5-webkit}*
ls: cannot access '/var/log/packages/qt5-webkit*': No such file or directory
/var/log/packages/hyphen-2.8.8-x86_64-1_SBo
/var/log/packages/jack-1.9.14-x86_64-1_SBo
/var/log/packages/jdk-8u251-x86_64-1_SBo
/var/log/packages/lame-3.100-x86_64-1_SBo
/var/log/packages/libxkbcommon-0.10.0-x86_64-1_SBo
/var/log/packages/meson-0.52.1-x86_64-1_SBo
/var/log/packages/ninja-1.10.0-x86_64-1_SBo
/var/log/packages/portaudio-v190600_20161030-x86_64-1_SBo
/var/log/packages/portmidi-217-x86_64-5_SBo
/var/log/packages/python3-3.7.2-x86_64-1_SBo
/var/log/packages/python3-PyQt5-5.13.2-x86_64-2_SBo
/var/log/packages/python3-sip-4.19.20-x86_64-3_SBo
/var/log/packages/qt5-5.12.8-x86_64-1_SBo
Keeping in mind that I built qt5 using the default settings.

Last edited by TheNutCase; 06-23-2020 at 10:42 AM.
 
Old 06-23-2020, 10:38 AM   #34
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 5,481

Rep: Reputation: Disabled
looking at the above list it seems you are, at least, missing qt5-webkit.
 
Old 06-23-2020, 10:39 AM   #35
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 1,426

Rep: Reputation: 447Reputation: 447Reputation: 447Reputation: 447Reputation: 447
ls: cannot access '/var/log/packages/qt5-webkit*': No such file or directory
 
Old 06-23-2020, 10:58 AM   #36
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 7,151

Rep: Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820
As others have said, you need to install qt5-webkit and then try and build MuseScore.
 
Old 06-23-2020, 12:41 PM   #37
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 14.2
Posts: 334

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by bassmadrigal View Post
As others have said, you need to install qt5-webkit and then try and build MuseScore.
And as I have said before, I have already tried that - without any success it would seem (I have already built Qt5 using the SlackBuild file "as is" and installed it).
 
Old 06-23-2020, 12:42 PM   #38
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 14.2
Posts: 334

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by ponce View Post
looking at the above list it seems you are, at least, missing qt5-webkit.
And I wish I knew why.
 
Old 06-23-2020, 01:01 PM   #39
kgha
Member
 
Registered: May 2018
Location: Sweden
Distribution: Slackware 64 -current multilib from AlienBob's LiveSlak MATE
Posts: 315

Rep: Reputation: 231Reputation: 231Reputation: 231
qt5-webkit (which I don't think you have mentioned) and qtwebengine (which you have mentioned) are different programs. qt5-webkit is a dependency needed for building musescore.

Last edited by kgha; 06-23-2020 at 01:03 PM.
 
Old 06-23-2020, 01:05 PM   #40
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 7,151

Rep: Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820
Quote:
Originally Posted by TheNutCase View Post
And as I have said before, I have already tried that - without any success it would seem (I have already built Qt5 using the SlackBuild file "as is" and installed it).
qt5-webkit is a separate program and is not what you were trying to do before. You were trying to install python3-PyQtWebEngine (or the webengine portion of qt5 itself). This is not the same as the qt5-webkit program.

If you have tried building that program, please provide the output.
 
Old 06-23-2020, 09:03 PM   #41
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 14.2
Posts: 334

Original Poster
Rep: Reputation: Disabled
I just finished re-building Qt5 using the default settings (such as "WEBENGINE=yes"), and then ran the command:
Code:
ls -1 /var/log/packages/{jdk,portmidi,portaudio,lame,python3,jack,hyphen,ninja,meson,libxkbcommon,qt5,qt5-webkit}*
And got the following result:
Code:
bash-4.3# ls -1 /var/log/packages/{jdk,portmidi,portaudio,lame,python3,jack,hyphen,ninja,meson,libxkbcommon,qt5,qt5-webkit}*
ls: cannot access '/var/log/packages/qt5-webkit*': No such file or directory
/var/log/packages/hyphen-2.8.8-x86_64-1_SBo
/var/log/packages/jack-1.9.14-x86_64-1_SBo
/var/log/packages/jdk-8u251-x86_64-1_SBo
/var/log/packages/lame-3.100-x86_64-1_SBo
/var/log/packages/libxkbcommon-0.10.0-x86_64-1_SBo
/var/log/packages/meson-0.52.1-x86_64-1_SBo
/var/log/packages/ninja-1.10.0-x86_64-1_SBo
/var/log/packages/portaudio-v190600_20161030-x86_64-1_SBo
/var/log/packages/portmidi-217-x86_64-5_SBo
/var/log/packages/python3-3.7.2-x86_64-1_SBo
/var/log/packages/qt5-5.12.8-x86_64-1_SBo
 
Old 06-23-2020, 09:22 PM   #42
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 1,426

Rep: Reputation: 447Reputation: 447Reputation: 447Reputation: 447Reputation: 447
You no read nothing ?

ls: cannot access '/var/log/packages/qt5-webkit*': No such file or directory

install qt5-webkit package.

http://slackbuilds.org/repository/14...es/qt5-webkit/
 
1 members found this post helpful.
Old 06-23-2020, 10:16 PM   #43
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 14.2
Posts: 334

Original Poster
Rep: Reputation: Disabled
It seems that I owe everybody here an apology. I was looking through the list of dependencies for MuseScore again, and I come to realize (much to my own chagrin) that I had gotten somewhat "backwards", so to speak regarding the order in which to install the packages/dependencies for it, and all I can say in my defense of that situation that I haven't been using Slackware for over a year, and have thus been out of practice using it. So hopefully I will very soon have MuseScore up and runnuing correctly. Thanks for your patience with me on this matter
 
Old 06-23-2020, 11:20 PM   #44
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 7,151

Rep: Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820Reputation: 4820
The only other thing you should need to install is qt5-webkit, which has been stated in the past several posts. This program is not qt5, is not python3-PyQtWebEngine, it is not anything other than qt5-webkiet.

If you have sbopkg, just run:

Code:
sbopkg -i qt5-webkit
Then try and build MuseScore.
 
Old 06-24-2020, 09:26 AM   #45
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 14.2
Posts: 334

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by bassmadrigal View Post
The only other thing you should need to install is qt5-webkit, which has been stated in the past several posts. This program is not qt5, is not python3-PyQtWebEngine, it is not anything other than qt5-webkiet.

If you have sbopkg, just run:

Code:
sbopkg -i qt5-webkit
Then try and build MuseScore.
I did that, and this is the output (and yes, I installed qt5-webkit):
Code:
bash-4.3# sbopkg -i qt5-webkit
bash: sbopkg: command not found

Last edited by TheNutCase; 06-24-2020 at 09:29 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Trouble building Musescore on Slackware 64 Captain Pinkeye Slackware 7 06-30-2014 12:41 PM
[SOLVED] Musescore won't install on Intel 64 bit CPU PC, help please alex polvorilla Linux - Software 3 12-30-2012 02:46 PM
LXer: MuseScore, LilyPond, and Chordii: Projects on the Move LXer Syndicated Linux News 0 03-29-2011 05:40 AM
Classical organ sound fonts for MuseScore Tom Nichol Linux - Software 0 06-18-2009 02:30 PM
MusEScore 0.1pre2 compilation issues stev160 Linux - Software 0 07-15-2004 09:59 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 07:59 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration